Update debian11_setup.sh

This commit is contained in:
tteckster 2021-10-23 16:47:48 -04:00 committed by GitHub
parent 6e5a986147
commit ea043702e9
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23

View file

@ -2,9 +2,9 @@
# Setup script environment # Setup script environment
set -o errexit #Exit immediately if a pipeline returns a non-zero status set -o errexit #Exit immediately if a pipeline returns a non-zero status
set -o errtrace #Trap ERR from shell functions, command substitutions, and commands from subshell #set -o errtrace #Trap ERR from shell functions, command substitutions, and commands from subshell
set -o nounset #Treat unset variables as an error set -o nounset #Treat unset variables as an error
set -o pipefail #Pipe will exit with last non-zero status if applicable #set -o pipefail #Pipe will exit with last non-zero status if applicable
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR